WordPress.org

Ready to get started?Download WordPress

Forums

Blogger Importer
Can't import at all: OpenSSL not installed (4 posts)

  1. autumn_bliss
    Member
    Posted 11 months ago #

    Good morning everyone

    I am setting up a friend's blog and there's 620+ posts to import from Blogspot and I just can't import post entries at all. This is what is going on:

    Error occurred getting OAuth tokens from Google

    OpenSSL is not installed check your PHP.INI or ask your server provider to enable the OpenSSL module.

    And I don't think it's possible for my hosting to enable it for me. Any workarounds?

    https://wordpress.org/plugins/blogger-importer/

  2. Workshopshed
    Member
    Plugin Author

    Posted 11 months ago #

    The way the importer works is to call the Blogger APIs which in turn require OAuth to authenticate the connection.

    We currently have the check for OpenSSL because the OAuth module uses some functions from OpenSSL. It might be possible to unpick the module to remove the dependency but not a straight forward job.

    Possible work around, use a local WordPress install to pull the data across then migrate that WordPress install back up to your host server.

  3. autumn_bliss
    Member
    Posted 11 months ago #

    I was wondering after I import blogger data to my local wordpress install if it's ok to export the sql tables to my server, overwriting the current tables (there's close to nothing there right now).

  4. Workshopshed
    Member
    Plugin Author

    Posted 11 months ago #

    There are various options to migrate but yes you can do a database backup and then overwrite another.
    You'll also need to copy over the wp_uploads folders.
    Finally you'll need to use a find and replace to swap out the old domain name with your new one.

Reply

You must log in to post.

About this Plugin

About this Topic